<?php

namespace App\Controller;

use App\Entity\Blog;
use App\Repository\BlogRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * Class BlogController
 * @package App\Controller
 */
class BlogController extends AbstractController
{
	#[Route('/', name: 'blogs')]
	public function index(BlogRepository $blogRepository): Response
	{
		return $this->render('blog/index.html.twig', [
			'blogs'           => $blogRepository->findAll()
		]);
	}
	
	
	/**
	 * @param                                $id
	 * @param \App\Repository\BlogRepository $blogRepository
	 *
	 * @return \Symfony\Component\HttpFoundation\Response
	 */
	#[Route('/blog/{slug}', name: 'blog')]
	public function show($slug, BlogRepository $blogRepository): Response
	{
		return $this->render('blog/show.html.twig', [
			'blog'  => $blogRepository->findOneBy(['slug' => $slug])
		]);
	}
}
